Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06222 Graphics Minor Always May 26, 2016, 19:55 May 29, 2016, 02:37
Tester Nightvoice View Status Public Platform MAME (Official Binary)
Assigned To Jezze Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver
Version 0.172 Fixed in Version 0.175 Build
Summary 06222: Artwork + HLSL + Vector Game = Cropped Screen and Wrong Screen Position
Description When using the combination of HLSL on a vector game with artwork, the game is cropped at the top or bottom. Because the screen is cropped to begin with, this is not fixable using the vertical positioning settings. It is noted that starwars does not seem to have this issue, but to all appearances every other vector game does. I thought I saw in the forums that this had been fixed, but apparently not just yet.
Steps To Reproduce Load a vector game that has artwork with HLSL enabled.
Additional Information
Flags
Regression Version
Affected Sets / Systems
Attached Files
png file icon hlsl_noart_astdelux.png (306,442 bytes)  May 26, 2016, 22:53 by Tafoid
No artwork HLSL
Tafoid
png file icon hlsl_art_astdelux.png (129,745 bytes)  May 26, 2016, 22:53 by Tafoid
Artwork HLSL
Tafoid


-  Notes
User avatar
No.12721
Tafoid
(Administrator)
May 26, 2016, 22:51
Confirmed testing Asteroids Deluxe (astdelux).
I've included non-artwork "rendered" snapshot (ALT+F12) and one with the artwork.
User avatar
No.12724
Jezze
(Developer)
May 27, 2016, 07:33
The issue is present since 0.172.

Maybe this commit is responsible.
https://github.com/mamedev/mame/commit/7add54760210313651c8a53a9ff6676512ce3fc8

I'll take a look.
User avatar
No.12726
Jezze
(Developer)
May 28, 2016, 14:37
Should be fixed. Please confirm.
https://github.com/mamedev/mame/commit/6af3202119cf7ca821a6102012d8efd7250c76bb
User avatar
No.12728
Tafoid
(Administrator)
May 29, 2016, 02:37
This looks good from my end. Resolving